license_plate_api_usa
=====================

A Dart package for looking up technical details on vehicles registered in the USA by their license plate 

`license_plate_api_usa` provides a simple way to find vehicle details from a license plate 
of a car, motorbike, or truck registered in the United States. 

This requires a username and password, which is available for free from http://www.vehicleregistrationapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_usa/license_plate_api_usa.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *PLATE* *STATE* *USERNAME* *PASSWORD*
  // Where *PLATE* and *STATE* are the US license plate of the vehicle
  // *USERNAME* and *PASSWORD* are available from http://www.vehicleregistrationapi.com/
  var vehicle = await RegCheck.LicensePlateUSA(arguments[0],arguments[1],arguments[2],arguments[3]);
  print('Description: ${vehicle['Description']}');
  print('VIN: ${vehicle['VechileIdentificationNumber']}');
}
```

which produces the following:

```shell script
Description: 2004 Dodge Durango Limited
VIN: 1D8HB58D04F177301
```

## Features and bugs

Please file feature requests and bugs via the website http://www.vehicleregistrationapi.com/

